#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
# .------------------------------------------------------------------------.
# |                ____ _               _        __  __ _  __              |
# |               / ___| |__   ___  ___| | __   |  \/  | |/ /              |
# |              | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /               |
# |              | |___| | | |  __/ (__|   <    | |  | | . \               |
# |               \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\              |
# |                                        |_____|                         |
# |             _____       _                       _                      |
# |            | ____|_ __ | |_ ___ _ __ _ __  _ __(_)___  ___             |
# |            |  _| | '_ \| __/ _ \ '__| '_ \| '__| / __|/ _ \            |
# |            | |___| | | | ||  __/ |  | |_) | |  | \__ \  __/            |
# |            |_____|_| |_|\__\___|_|  | .__/|_|  |_|___/\___|            |
# |                                     |_|                                |
# |                     _____    _ _ _   _                                 |
# |                    | ____|__| (_) |_(_) ___  _ __                      |
# |                    |  _| / _` | | __| |/ _ \| '_ \                     |
# |                    | |__| (_| | | |_| | (_) | | | |                    |
# |                    |_____\__,_|_|\__|_|\___/|_| |_|                    |
# |                                                                        |
# | mathias-kettner.com                                 mathias-kettner.de |
# '------------------------------------------------------------------------'
#  This file is part of the Check_MK Enterprise Edition (CEE).
#  Copyright by Mathias Kettner and Mathias Kettner GmbH.  All rights reserved.
#
#  Distributed under the Check_MK Enterprise License.
#
#  You should have  received  a copy of the Check_MK Enterprise License
#  along with Check_MK. If not, email to mk@mathias-kettner.de
#  or write to the postal address provided at www.mathias-kettner.de

# Default settings for documents. These can (in a later version)
# be changed via WATO. All of these can also be defined (overriden)
# in reports.

reporting_use            = "default"
reporting_rangespec      = "d0" # today
reporting_filename       = "report.pdf"
reporting_view_limit     = 1000
reporting_font_size      = 10 # pt
reporting_lineheight     = 1.2 # in relation to font size
reporting_font_family    = "Helvetica"
reporting_pagesize       = (210.0, 297.0) # A4
reporting_margins        = (10, 10, 10, 10) # mm: top, right, bottom, left
reporting_mirror_margins = False # Swap left/right on each page
reporting_date_format    = "%Y-%m-%d"
reporting_time_format    = "%H:%M:%S"
reporting_table_layout   = {
    "font_size"     : 8,
    "show_headings" : True,
    "hrules"        : True,
    "vrules"        : False,
    "rule_width"    : 0.05,
    "padding"       : (2.0, 1.0),
    "spacing"       : (2.0, 0.0),
    "row_shading"   : {
        "enabled"  : True,
        "odd"      : (0.97, 0.97, 0.97),
        "even"     : (0.94, 0.94, 0.94),
        "heading"  : (0.70, 0.70, 0.70),
    },
}
reporting_graph_layout = {
    "font_size"        : 8,
    "show_title"       : True,
    "show_legend"      : True,
    "border_width"     : 0.05, # mm
    "background_color" : (0.99, 0.97, 0.95),
    "canvas_color"     : (1.0, 1.0, 1.0),
    "color_gradient"   : 20.0, # 0.0: none, 100.0: strongest
}

reporting_email_options = {}
