#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
# .------------------------------------------------------------------------.
# |                ____ _               _        __  __ _  __              |
# |               / ___| |__   ___  ___| | __   |  \/  | |/ /              |
# |              | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /               |
# |              | |___| | | |  __/ (__|   <    | |  | | . \               |
# |               \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\              |
# |                                        |_____|                         |
# |             _____       _                       _                      |
# |            | ____|_ __ | |_ ___ _ __ _ __  _ __(_)___  ___             |
# |            |  _| | '_ \| __/ _ \ '__| '_ \| '__| / __|/ _ \            |
# |            | |___| | | | ||  __/ |  | |_) | |  | \__ \  __/            |
# |            |_____|_| |_|\__\___|_|  | .__/|_|  |_|___/\___|            |
# |                                     |_|                                |
# |                     _____    _ _ _   _                                 |
# |                    | ____|__| (_) |_(_) ___  _ __                      |
# |                    |  _| / _` | | __| |/ _ \| '_ \                     |
# |                    | |__| (_| | | |_| | (_) | | | |                    |
# |                    |_____\__,_|_|\__|_|\___/|_| |_|                    |
# |                                                                        |
# | mathias-kettner.com                                 mathias-kettner.de |
# '------------------------------------------------------------------------'
#  This file is part of the Check_MK Enterprise Edition (CEE).
#  Copyright by Mathias Kettner and Mathias Kettner GmbH.  All rights reserved.
#
#  Distributed under the Check_MK Enterprise License.
#
#  You should have  received  a copy of the Check_MK Enterprise License
#  along with Check_MK. If not, email to mk@mathias-kettner.de
#  or write to the postal address provided at www.mathias-kettner.de

def paint_agent_deployment(what, row, tags, host_custom_vars):
    if what != "service":
        return
    if row[what + "_check_command"] == 'check_mk-check_mk.agent_update':
        return 'deploy_agents', _('Agent updates'), "wato.py?mode=agent_deployment"


multisite_icons_and_actions['agent_deployment'] = {
    'service_columns': [ 'check_command' ],
    'paint':           paint_agent_deployment,
}

def paint_deployment_status(what, row, tags, host_custom_vars):
    if what != "service":
        return
    if row[what + "_check_command"] == 'check_mk-check_mk.agent_update':
        return 'deployment_status', _('Update status of this host'), "view.py?view_name=allhosts_deploy&filled_in=filter&host=" + html.urlencode(row["host_name"])


multisite_icons_and_actions['deployment_status'] = {
    'service_columns': [ 'check_command' ],
    'paint':           paint_deployment_status,
}


