#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
# .------------------------------------------------------------------------.
# |                ____ _               _        __  __ _  __              |
# |               / ___| |__   ___  ___| | __   |  \/  | |/ /              |
# |              | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /               |
# |              | |___| | | |  __/ (__|   <    | |  | | . \               |
# |               \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\              |
# |                                        |_____|                         |
# |             _____       _                       _                      |
# |            | ____|_ __ | |_ ___ _ __ _ __  _ __(_)___  ___             |
# |            |  _| | '_ \| __/ _ \ '__| '_ \| '__| / __|/ _ \            |
# |            | |___| | | | ||  __/ |  | |_) | |  | \__ \  __/            |
# |            |_____|_| |_|\__\___|_|  | .__/|_|  |_|___/\___|            |
# |                                     |_|                                |
# |                     _____    _ _ _   _                                 |
# |                    | ____|__| (_) |_(_) ___  _ __                      |
# |                    |  _| / _` | | __| |/ _ \| '_ \                     |
# |                    | |__| (_| | | |_| | (_) | | | |                    |
# |                    |_____\__,_|_|\__|_|\___/|_| |_|                    |
# |                                                                        |
# | mathias-kettner.com                                 mathias-kettner.de |
# '------------------------------------------------------------------------'
#  This file is part of the Check_MK Enterprise Edition (CEE).
#  Copyright by Mathias Kettner and Mathias Kettner GmbH.  All rights reserved.
#
#  Distributed under the Check_MK Enterprise License.
#
#  You should have  received  a copy of the Check_MK Enterprise License
#  along with Check_MK. If not, email to mk@mathias-kettner.de
#  or write to the postal address provided at www.mathias-kettner.de

# The default template. Every report imports this template - if that
# is not changed in the global settings.
builtin_reports["default"] = {
    "topic"        : _("Templates"),
    "title"        : _("Default template for all reports"),
    "hidden"       : True,
    "hidebutton"   : True,
    "single_infos" : [],
     'elements': [{'parameters': {'force': True, 'height': 23.0},
                   'type': 'vspace'},
                  {'parameters': {'text': _('Report created $NOW_DATE$ $NOW_TIME$ by $USER_ALIAS$ ($USER_ID$)\n\nTimerange: $RANGE_TITLE$ - from $FROM_DATE$ $FROM_TIME$ until $UNTIL_DATE$ $UNTIL_TIME$')},
                   'type': 'paragraph'},
                  {'parameters': {'force': True, 'height': 5.0},
                   'type': 'vspace'},
    ],
     'fixels': [{'parameters': {'text': u'- $PAGE$ -'},
                 'placement': {'pages': 'rest',
                               'position': ('s', -8.0)},
                 'type': 'text'},
                {'parameters': {'color': (0.5, 0.5, 0.5),
                                'font_size': 8.0,
                                'text': _('Created with Check_MK Version $CHECK_MK_VERSION$')},
                 'placement': {'pages': 'first',
                               'position': ('se', (0.0, -4.0))},
                 'type': 'text'},
                {'parameters': {'color': (1.0, 0.75, 0.0),
                                'width': 2.0},
                 'placement': {'pages': 'first',
                               'position': ('s', -2.0)},
                 'type': 'hrule'},
                {'parameters': {'color': (1.0, 0.825, 0.5),
                                'width': 2.0},
                 'placement': {'pages': 'first',
                               'position': ('n', 17.5)},
                 'type': 'hrule'},
                {'parameters': {'color': (1.0, 0.75, 0.0),
                                'width': 2.0},
                 'placement': {'pages': 'first',
                               'position': ('n', 20.0)},
                 'type': 'hrule'},
                {'parameters': {'bold': True,
                                'font_size': 24.0,
                                'text': u'$REPORT_TITLE$'},
                 'placement': {'pages': 'first',
                               'position': ('nw', (0.0, 4.0))},
                 'type': 'text'},
                {'parameters': {'filename': 'logo_mk.png',
                                'size': ('width', 15.0)},
                 'placement': {'pages': 'first',
                               'position': ('ne', (0.0, -7.0))},
                 'type': 'image'},
                ],
    "context"      : {},
}


# Template that is used by all instance reports
builtin_reports["instant"] = {
    "topic"        : _("Templates"),
    "title"        : _("Template for PDF exporting"),
    "hidden"       : True,
    "hidebutton"   : True,
    "use"          : "default",
    "single_infos" : [],
    "elements"     : [],
    "fixels"       : [],
    "context"      : {},
}

builtin_reports["instant_view"] = {
    "topic"        : _("Templates"),
    "title"        : _("Template for PDF exporting of views"),
    "hidden"       : True,
    "hidebutton"   : True,
    "use"          : "instant",
    "single_infos" : [],
    "elements"     : [],
    "fixels"       : [],
    "context"      : {},
}

builtin_reports["instant_availability"] = {
    "topic"        : _("Templates"),
    "title"        : _("Template for PDF exporting of availability views"),
    "hidden"       : True,
    "hidebutton"   : True,
    "use"          : "instant",
    "single_infos" : [],
    "elements"     : [],
    "fixels"       : [],
    "context"      : {},
    "table_layout" : { "spacing" : (0.0, 0.0), "padding" : (1.0, 0.5), "font_size" : 8.0 },
}

builtin_reports["instant_graph_collection"] = {
    "topic"        : _("Templates"),
    "title"        : _("Template for PDF exporting of graph collections"),
    "hidden"       : True,
    "hidebutton"   : True,
    "use"          : "instant",
    "single_infos" : [],
    "elements"     : [],
    "fixels"       : [],
    "context"      : {},
}

# A report with a summary of a single host
# FIXME: Once this is finalized, format it manually

builtin_reports['host'] = {
    "topic"       : _("Examples"),
    "title"       : _("Report of Host"),
    "public"      : True,
    "hidden"      : True, # we need a specific host!
    "hidebutton"  : False,
    "linktitle"   : _("Host Report"),
    "icon"        : "report",
    "description" : _("This report shows various information about one single host. It "
                      "is not visible in the sidebar, because it needs a host to be called. "
                      "Call it via a button at a view that is displaying one host."),

    "context"     : {},
    "single_infos": ["host"],

    "elements"    : [
        # Some details about the host, like name, address, etc.
        {
            "type"           : "view",
            "datasource"     : "hosts",
            "context"        : {},
            "single_infos"   : ["host"],
            "group_painters" : [],
            "painters": [
                ("host",                   None),
                ('host_address',           None),
                ("alias",                  None),
                ('host_group_memberlist',  None),
                ('host_parents',           None),
                ('host_childs',            None),
                ('host_servicelevel',      None),
                ('host_contact_groups',    None),
                ('host_contacts',          None),
                ('host_check_interval',    None),
                ('host_in_downtime',       None),
                ('host_in_notifper',       None),
                ('host_notifper',          None),
                ('host_custom_vars',       None),
                ('num_services',           None),
                ('host_custom_notes',      None),

            ],
            "parameters": {
                "title": _("Host Details"),
                "layout" : "dataset",
            },
            "sorters": [],
        },


        # FIXME: Den Rest analog formatieren. Und dabei auch _("") nicht vergessen!
                     {"avoptions": {"av_mode": False,
                                    "consider": {"flapping": False,
                                                 "host_down": True,
                                                 "unmonitored": True},
                                    "dateformat": "yyyy-mm-dd hh:mm:ss",
                                    "dont_merge": False,
                                    "downtimes": {"exclude_ok": False,
                                                  "include": "honor"},
                                    "grouping": None,
                                    "labelling": [],
                                    "notification_period": "ignore",
                                    "outage_statistics": ([], []),
                                    "service_period": "honor",
                                    "short_intervals": 0,
                                    "state_grouping": {"host_down": "host_down",
                                                       "unknown": "unknown",
                                                       "warn": "ok"},
                                    "summary": None,
                                    "timeformat": "percentage_1"},
                      "context": {},
                      "datasource": "hosts",
                      "parameters": {"title": _("Availability of Host $RANGE_TITLE$")},
                      "single_infos": ["host"],
                      "type": "availability"},
                     {"avoptions": {"av_mode": False,
                                    "consider": {"flapping": False,
                                                 "host_down": True,
                                                 "unmonitored": True},
                                    "dateformat": "yyyy-mm-dd hh:mm:ss",
                                    "dont_merge": False,
                                    "downtimes": {"exclude_ok": False,
                                                  "include": "honor"},
                                    "grouping": None,
                                    "labelling": [],
                                    "notification_period": "ignore",
                                    "outage_statistics": ([], []),
                                    "service_period": "honor",
                                    "short_intervals": 0,
                                    "state_grouping": {"host_down": "crit",
                                                       "unknown": "unknown",
                                                       "warn": "warn"},
                                    "summary": "sum",
                                    "timeformat": "percentage_2"},
                      "context": {"serviceregex": {"service_regex": ""},
                                  "site": {"site": ""},
                                  "svcstate": {"st0": "on",
                                               "st1": "on",
                                               "st2": "on",
                                               "st3": "on",
                                               "stp": "on"}},
                      "datasource": "services",
                      "parameters": {"title": _("Availability of the Services")},
                      "single_infos": ["host"],
                      "type": "availability"},
                     {"context": {"log_class": {"logclass0": "on",
                                                "logclass1": "on",
                                                "logclass2": "on",
                                                "logclass3": "on",
                                                "logclass4": "on",
                                                "logclass5": "on",
                                                "logclass6": "on"},
                                  "log_state": {"logst_h0": "on",
                                                "logst_h1": "on",
                                                "logst_h2": "on",
                                                "logst_s0": "on",
                                                "logst_s1": "on",
                                                "logst_s2": "on",
                                                "logst_s3": "on"},
                                  "logtime": {"logtime_from": "7",
                                              "logtime_from_range": "86400",
                                              "logtime_until": "",
                                              "logtime_until_range": "3600"},
                                  "site": {"site": ""}},
                      "datasource": "log_events",
                      "group_painters": [("log_date", "", None)],
                      "painters": [("log_icon", None, None),
                                   ("log_time", None, None),
                                   ("service_description",
                                    "svcevents",
                                    None),
                                   ("log_type", None, None),
                                   ("log_state_type", None, None),
                                   ("log_plugin_output", None, None)],
                      "parameters": {"title": _("Events")},
                      "single_infos": ["host"],
                      "sorters": [("log_time", True),
                                  ("log_lineno", True)],
                      "type": "view",
                      "visibility": []},
                       {'parameters': {'level': 1,
                                       'text': _('Execution time of Check_MK Agent')},
                        'type': 'heading'},
                       {'context': {'service': u'Check_MK'},
                        'datasource': 'services',
                        'parameters': {'source': 1, 'onfail': 'message'},
                        'single_infos': ['host', 'service'],
                        'type': 'pnpgraph'},

        ],
        "fixels": [],
}

builtin_reports['service_availability'] = {'context': {},
                          'description': _('A report showing the availability of the services of an\narbitrary view.'),
                          'elements': [{'avoptions': {'av_mode': False,
                                                      'consider': {'flapping': False,
                                                                   'host_down': False,
                                                                   'unmonitored': False},
                                                      'dateformat': 'yyyy-mm-dd hh:mm:ss',
                                                      'dont_merge': False,
                                                      'downtimes': {'exclude_ok': False,
                                                                    'include': 'honor'},
                                                      'grouping': None,
                                                      'labelling': [],
                                                      'notification_period': 'honor',
                                                      'outage_statistics': ([],
                                                                            []),
                                                      'service_period': 'honor',
                                                      'short_intervals': 0,
                                                      'state_grouping': {'host_down': 'ok',
                                                                         'unknown': 'ok',
                                                                         'warn': 'ok'},
                                                      'summary': None,
                                                      'timeformat': 'hhmmss'},
                                        'context': {},
                                        'datasource': 'services',
                                        'parameters': {'title': _('Availability')},
                                        'single_infos': [],
                                        'type': 'availability'},
                                       {'context': {'log_type': {'log_type': 'SERVICE DOWNTIME ALERT'}},
                                        'datasource': 'log_events',
                                        'group_painters': [],
                                        'painters': [('log_icon', None, None),
                                                     ('log_time', None, None),
                                                     ('host', 'host_dt_hist', None),
                                                     ('service_description', 'svc_dt_hist', None),
                                                     ('log_state_type', None, None),
                                                     ('log_plugin_output', None, None)],
                                        'parameters': {'title': _('History of scheduled downtimes')},
                                        'single_infos': [],
                                        'sorters': [('log_time', False),
                                                    ('log_lineno', False)],
                                        'type': 'view',
                                        'visibility': []},
                                       {'context': {'log_class': {'logclass0': '',
                                                                  'logclass1': '',
                                                                  'logclass2': '',
                                                                  'logclass3': 'on',
                                                                  'logclass4': '',
                                                                  'logclass5': '',
                                                                  'logclass6': ''},
                                                    'log_state': {'logst_h0': '',
                                                                  'logst_h1': '',
                                                                  'logst_h2': '',
                                                                  'logst_s0': 'on',
                                                                  'logst_s1': 'on',
                                                                  'logst_s2': 'on',
                                                                  'logst_s3': 'on'}},
                                        'datasource': 'log',
                                        'group_painters': [('log_date',
                                                            '',
                                                            None)],
                                        'painters': [('log_time', None, None),
                                                     ('host', 'hostsvcnotifications', None),
                                                     ('service_description', 'svcnotifications', None),
                                                     ('log_contact_name', 'contactnotifications', None),
                                                     ('log_state', None, None),
                                                     ('log_plugin_output', None, None)],
                                        'parameters': {'title': _('History of notifications')},
                                        'single_infos': [],
                                        'sorters': [('log_time', False),
                                                    ('log_lineno', False)],
                                        'type': 'view',
                                        'visibility': []}],
                          'fixels': [],
                          'hidden': True,
                          'hidebutton': False,
                          'icon': 'pdf',
                          'linktitle': _('Service Availability'),
                          'mtime': 1412866545,
                          'name': 'service_availability',
                          'owner': 'omdadmin',
                          'public': False,
                          'single_infos': [],
                          'title': _('Service Availability'),
                          'topic': _('Availability'),
                          'view_limit': 100}


builtin_reports['bi_availability'] = {'context': {},
                     'description': u'',
                     'elements': [{'parameters': {'text': _('This report shows the availability of BI aggregations in the time range "$RANGE_TITLE$".')},
                                   'type': 'paragraph'},
                                  {'avoptions': {'av_mode': False,
                                                 'consider': {'flapping': True,
                                                              'host_down': True,
                                                              'unmonitored': True},
                                                 'dateformat': 'yyyy-mm-dd hh:mm:ss',
                                                 'dont_merge': False,
                                                 'downtimes': {'exclude_ok': False,
                                                               'include': 'honor'},
                                                 'grouping': None,
                                                 'labelling': [],
                                                 'notification_period': 'ignore',
                                                 'outage_statistics': ([],
                                                                       []),
                                                 'service_period': 'honor',
                                                 'short_intervals': 0,
                                                 'state_grouping': {'host_down': 'host_down',
                                                                    'unknown': 'unknown',
                                                                    'warn': 'warn'},
                                                 'summary': 'sum',
                                                 'timeformat': 'percentage_2'},
                                   'context': {},
                                   'datasource': 'bi_aggregations',
                                   'parameters': {'limit': 50},
                                   'single_infos': [],
                                   'type': 'availability'}],
                     'fixels': [],
                     'hidden': False,
                     'hidebutton': False,
                     'icon': 'report',
                     'linktitle': _('BI Availability'),
                     'mtime': 1412871880,
                     'name': 'bi_availability',
                     'public': False,
                     'single_infos': [],
                     'title': _('BI Availability'),
                     'topic': _('Global reports')}
